<?php class crystalscore extends baseobject {
	
	protected static $fields=array(
			'name'=>validator::REQUIRED,
			'crystalscoringsystemid'=>array(validator::REQUIRED, validator::INTEGER),
			'label'=>validator::REQUIRED,
			'color'=>array(validator::REQUIRED, validator::COLOR),
			'scoreindex'=>array(validator::REQUIRED, validator::INTEGER),
	);
	
	protected static $helpTexts=array(
			'name'=>'A unique name for this score. Created automatically',
			'label'=>'Label shown to users',
			'color'=>'The higlight colour for this score',
			'scoreindex'=>'0 is the lowest score, increase by 1 per score'
	);
	
	public static $defaultSortOrder='scoreindex ASC';
	
	public static function create($request=array()){
		$project=project::getByName(project::SHARED);
		$request['projectid']=$project['id'];
		$ret=parent::create($request,'crystalscore');
		return $ret;
	}
	
}


?>