<?php class platetype extends baseobject {
	
	protected static $fields=array(
			'name'=>validator::REQUIRED,
			'rows'=>array(validator::REQUIRED, validator::INTEGER),
			'cols'=>array(validator::REQUIRED, validator::INTEGER),
			'subs'=>array(validator::REQUIRED, validator::INTEGER),
			'dropmapping'=>array(validator::REQUIRED, validator::DROPMAPPING),
	);
	
	protected static $helpTexts=array(
			'name'=>'A unique name for this plate type',
			'rows'=>'How many rows of wells these plates have',
			'cols'=>'How many columns of wells these plates have',
			'subs'=>'Number of drop positions per well',
			'dropmapping'=>'How the drop positions are numbered locally',
	);
	
	public static function canCreate(){
		if(session::isAdmin()){ return true; }
		$grp=usergroup::getByName(usergroup::TECHNICIANS);
		return usergroup::userisingroup($grp['id']);
	}
	
}

?>