<?php $pageTitle="Log in";
include realpath(__DIR__).'/../_common/header.php'; ?>


<script type="text/javascript">
var requestedUri='<?php echo $uri; ?>';
var icebearVersion='<?php echo config::get('core_icebearversion'); ?>';
if(!icebearVersion){ icebearVersion='unknown'; }

document.observe("dom:loaded",function(){

	
	var grid=ui.grid();
	var b=grid.box({
		'id':'loginbox',
		'title':'Log in',
		'classes':'r1 c2 h1 w1'
	})
	var frm=b.form({
		'action':'/api/Login'
	});
	frm.textField({ label:"Username", name:'username' });
	frm.passwordField({ label:"Password", name:'password' });
	frm.submitButton({ label:'Log in' });
	frm.onsubmit=function(){ doLogin(); return false; };

	var bs=grid.box({
		'id':'logobox',
		'classes':'r2 c2 h2 w1'
	})
	
	var out='<div style="width:100%;position:absolute;bottom:0;left:0;text-align:center;"><img src="/images/icebearlogo.png"/>';
	out+='<p style="margin-top:1em;font-size:75%">Icebear version '+icebearVersion+'</br/>Distributed under the <a href="/LICENSE.txt" target="_blank">MIT Licence</a></p>';
	out+='</div>';
	bs.innerHTML=out;
	bs.style.border="none";
	bs.style.background="transparent";
	bs=bs.up(".box");
	bs.style.border="none";
	bs.style.background="transparent";
});

function doLogin(){
	var box=$("loginbox");
	var username=$('username').value;
	var password=$('password').value;
	if(""==username || ""==password){ //TODO And not RFID login
		box.down("h2").innerHTML="Username and password required";
		return false;
	}
	box.down("input[type=submit]").up("label").addClassName("updating");
	new Ajax.Request('/api/Login',{
		method:'post',
		parameters:{
			username:username,
			password:password,
		},
		onSuccess:doLogin_onSuccess,
		onFailure:doLogin_onFailure
	});
	return false; //don't submit the form as well.
}
function doLogin_onSuccess(transport){
	if(""==requestedUri){ rewuestedUri="/"; }
	document.location=requestedUri;
}
function doLogin_onFailure(transport){
	$("loginbox").down(".updating").removeClassName("updating");
	if(transport.responseJSON && transport.responseJSON.error){
		$("loginbox").down("h2").innerHTML=transport.responseJSON.error;
	} else {
		alert("There was an error\n\n"+transport.responseText);
	}
}
Event.observe(window,"load",function(){ $("username").focus()});
</script>

<?php include realpath(__DIR__).'/../_common/footer.php'; ?>