<?php $pageTitle='Create an imaging session';
include realpath(__DIR__).'/../../core/_common/header.php'; ?>
<script type="text/javascript">
document.observe("dom:loaded",function(){

	ui.grid();

	grid.box({ 
		classes:'r1 c2 h3 w2',
		title:'Plates',
		content:'Usually plates will be imported fro mthe imager, so there will be no need to do this.'
	});

	var infoBox=grid.box({ 
		classes:'r1 c2 h3 w2',
		title:'Information',
		content:'This is for testing and development. You probably want to let the system import these from your imagers automatically.'
	});

	var detailsBox=grid.box({ 
		classes:'r1 c1 h3 w1',
		title:'Details'
	});

	var frm=detailsBox.form({
		action:'/api/imagingsession/',
		method:'post',
	});
	frm.textField({ label:"Name", name:'name', value:'' });
	frm.roleField({ 
		label:"Plate", 
		name:'plateid', 
// 		otherId:userId, 
// 		otherName:currentUser.fullname, 
		otherType:'plate',
		labelField:'name',
		headers:['Name'],
		cellTemplates:['{{name}}']
	});
	frm.roleField({ 
		label:"Imager", 
		name:'imagerid', 
// 		otherId:userId, 
// 		otherName:currentUser.fullname, 
		otherType:'imager',
		labelField:'name',
		headers:['Serial','Friendly name'],
		cellTemplates:['{{name}}','{{friendlyname}}']
	});
	frm.createButton();
});


</script>
<?php 
include realpath(__DIR__).'/../../core/_common/footer.php';
?>